import { Component, Prop, Vue, Watch } from 'vue-property-decorator';
import { logService } from '@/services/logging';
import { userStore } from '@/store';
import { Measure, MeasureConfig, MeasureType } from '@/models';
import MeasureConfigForm from '@/components/measure-config/MeasureConfigForm.vue';

const logger = logService.getLogger('/views/new-measure');

@Component({
  components: { MeasureConfigForm }
})
export class NewMeasure extends Vue {
  private test: string = 'test';
  private measure: Measure<MeasureConfig> = {
    id: '',
    config: {
      type: 'simple' as MeasureType,
      isVisible: true
    },
    description: '',
    name: '',
    slug: '',
    userId: ''
  };

  private get slugFromName() {
    return this.measure.name
      .toLowerCase()
      .replace(/[^\w\s]/g, '')
      .replace(/\s+/g, '-');
  }
}

export default NewMeasure;
